<?php
function ga_html_header($period_flag = true){
    $href = $_SERVER['PHP_SELF'].'?page=GAnalytics';
?>
<div class="wrap">
<h2>G Analytics (Ver.<?php echo GA_MAJOR_VERSION_NUM; ?>)</h2>

<ul class="header_menu">
    <li><a href="<?php echo $href; ?>&mode=main&ga_page=top"><?php _e('Top', 'g_analytics'); ?></a></li>
    <li><a href="<?php echo $href; ?>&mode=main&ga_page=daily_visitors"><?php _e('Daily Visitors', 'g_analytics'); ?></a></li>
    <li><a href="<?php echo $href; ?>&mode=main&ga_page=accessed_page"><?php _e('Accessed by page number', 'g_analytics'); ?></a></li>
    <li><a href="<?php echo $href; ?>&mode=main&ga_page=referrer"><?php _e('Referrer', 'g_analytics'); ?></a></li>
    <li><a href="<?php echo $href; ?>&mode=main&ga_page=keyword"><?php _e('Keyword', 'g_analytics'); ?></a></li>
    <li><a href="<?php echo $href; ?>&mode=main&ga_page=browser"><?php _e('Browser', 'g_analytics'); ?></a></li>
</ul>
<div style="clear:left;"></div>

<?php
    /***************************************************
     * Tags period set
     ***************************************************/
    if ($period_flag){
        $tag_hidden    = 'ga_hidden_period';

        if ($_POST[ $tag_hidden ] == GA_OPT_PERIOD){
            if ( !( empty( $_POST[GA_OPT_PERIOD] )) ){
                update_option( GA_OPT_PERIOD, $_POST[GA_OPT_PERIOD] );
            }else{
                update_option( '1month', $_POST[GA_OPT_PERIOD] );
            }
        }
        
        $period = get_option( GA_OPT_PERIOD );
        if (empty($period)) $period = '1month';
?>
<form name="period" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<input name="<?php echo $tag_hidden; ?>" type="hidden" value="<?php echo GA_OPT_PERIOD; ?>">
<p style="text-align:right;">
    <select name="<?php echo GA_OPT_PERIOD; ?>" id="<?php echo GA_OPT_PERIOD; ?>" class="<?php echo GA_OPT_PERIOD; ?>" style="font-size:1.2em;" onchange="period.submit()">
        <option value="3month"<?php echo $period == '3month' ? 'selected' : ''; ?>>
            <?php
                echo __('3 Month ago', 'g_analytics').' : '.date('Y/m/d', strtotime('3 month ago')).' - '.date('Y/m/d');
            ?>
        </option>
        <option value="1month"<?php echo $period == '1month' ? 'selected' : ''; ?>>
            <?php
                echo __('1 Month ago', 'g_analytics').' : '.date('Y/m/d', strtotime('1 month ago')).' - '.date('Y/m/d');
            ?>
        </option>
        <option value="1week"<?php echo $period == '1week' ? 'selected' : ''; ?>>
            <?php
                echo _e('1 Week ago', 'g_analytics').' : '.date('Y/m/d', strtotime('1 week ago')).' - '.date('Y/m/d');
            ?>
        </option>
        <option value="lastmonth"<?php echo $period == 'lastmonth' ? 'selected' : ''; ?>>
            <?php
                $lastmonth = strtotime(date('Y/m/01') . ' -1 day');
                echo _e('Last Month', 'g_analytics').' : '.date('Y/m/01', $lastmonth).'-'.date('Y/m/d', mktime(0, 0, 0, date('m', $lastmonth) + 1, 0, date('Y', $lastmonth)));
            ?>
        </option>
        <option value="thismonth"<?php echo $period == 'thismonth' ? 'selected' : ''; ?>>
            <?php
                echo _e('This Month', 'g_analytics').' : '.date('Y/m/01').'-'.date('Y/m/d', mktime(0, 0, 0, date('m') + 1, 0, date('Y')));
            ?>
        </option>
        <option value="yesterday"<?php echo $period == 'yesterday' ? 'selected' : ''; ?>>
            <?php
                echo _e('Yesterday', 'g_analytics').' : '.date('Y/m/d', strtotime('1 day ago'));
            ?>
        </option>
        <option value="today"<?php echo $period == 'today' ? 'selected' : ''; ?>>
            <?php
                echo _e('Today', 'g_analytics').' : '.date('Y/m/d');
            ?>
        </option>
    </select>
</p>
</form>
<?php
    }
}
