<?php
/***************************************************
 * Making of the table HTML
 *--------------------------------------------------
 * @param array $arr_data
 * @param mix $element_link
 ***************************************************/
function ga_set_table_form($arr_data, $element_link = false){

    if (empty($arr_data)) return;
    
    $col_cnt = 0;
    $html_title = '';
    foreach($arr_data['title'] as $title_val){
        if ($title_val == GA_MY_LABEL) continue ;
        
        $html_title .= '<th scope="col"';
        if($col_cnt != 0){
            $html_title .= ' style="text-align:right;"';
        }
        $html_title .= '>'.__($title_val, 'g_analytics').'</th>';
        $col_cnt++;
    }
    
    $siteurl = get_option( 'siteurl' );
    $rowcnt = 1;
    $html_date = '';
    if (array_key_exists('data', $arr_data)){
        foreach ($arr_data['data'] as $rowkey => $rowval){
            $html_date .= '<tr><td class="ga_label">';
            
            // Date Check
            $first_element = $rowval[GA_MY_LABEL];
            if(preg_match('/(\d{4})(\d{2}|\d)(\d{2}|\d)/', $first_element, $match)){
                if(checkdate($match[2], $match[3], $match[1]))
                $first_element = substr($first_element,0,4).'/'.substr($first_element,4,2).'/'.substr($first_element,6,2);
            }
            
            if ($element_link !== false){
                $html_date .= '<a href="'.$siteurl.$rowval[GA_MY_LABEL].'">';
                if (array_key_exists($element_link, $rowval)){
                    $html_date .= $rowval[$element_link];
                }else{
                    $html_date .= $first_element;
                }
                $html_date .= '</a>';
            }else{
                $html_date .= $first_element;
            }
            $html_date .= '</td>';
            
            foreach($rowval as $key => $val){
                if ($key == GA_MY_LABEL) continue ;
                if ($element_link !== $key){
                    $html_date .= '<td class="ga_value">'.$val.'</td>';
                }
            }
            
            $html_date .= '</tr>';
            $rowcnt++;
        }
    }
?>
<table class="detail_tables">
    <thead>
        <tr>
            <?php echo $html_title; ?>
        </tr>
    </thead>
    <tbody id="the-comment-list" class="list:comment">
        <?php echo $html_date; ?>
    </tbody>
</table>
<?php
}
/********** Function ga_set_table_form() END **********/

